#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::direction_toString"
  string Vhdl::direction_toString (direction_t direction)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    string _return;
    switch (direction)
      {
      case IN    : _return = "in    "; break;
      case OUT   : _return = "out   "; break;
      default    : _return = "      "; break;
      }

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
